Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Interface IComponent

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FComboBox, FDialog, FEditorPane, FFrame, FInternalFrame, FLabel, FList, FMenu, FMenuBar, FMenuItem, FPanel, FPasswordField, FPopupMenu, FRadioButton, FRadioButtonMenuItem, FTable, FTextArea, FTextField, FTextPane, FToggleButton, FToolBar, FTree

public interface IComponent

Interface fuer ComponentEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer ComponentEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addComponentListener(ComponentListener listener)` Fuegt dem Control den uebergebenen Listener als ComponentListener hinzu.
`String` | `getActionClassForComponent()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.
`void` | `removeComponentListener(ComponentListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForComponent(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.

Method Detail

### addComponentListener

    public void addComponentListener(ComponentListener listener)

  Fuegt dem Control den uebergebenen Listener als ComponentListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende ComponentListener.

### removeComponentListener

    public void removeComponentListener(ComponentListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

### getActionClassForComponent

    public String getActionClassForComponent()

  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer ComponentEvents.

### setActionClassForComponent

    public void setActionClassForComponent(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ComponentEvents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD